#ifndef KRIMI_DINNER_ENGINE_FONT_H
#define KRIMI_DINNER_ENGINE_FONT_H

#include "stb_truetype.h"

#ifdef _WIN32
    #include "glad.h"
#else
    #include <GLES3/gl3.h>
#endif


/// Data that defines a font
struct FontData
{
    stbtt_bakedchar char_data[225];
    float char_height;
    float scale_factor;
    int ascent;
    int descent;
    int line_gap;
    float baseline_adjust;
};

#endif
